#!/bin/bash
echo "install begin"

# 获取当前用户的主目录
USER_HOME="$HOME"

# 定义路径
SOURCE_DIR="$USER_HOME/Desktop/HiMedia_"
TARGET_DIR="$USER_HOME/HiMedia"
DESKTOP_FILE="$TARGET_DIR/teamMedia.desktop"
AUTOSTART_DIR="$USER_HOME/.config/autostart"
AUTOSTART_FILE="$AUTOSTART_DIR/teamMedia.desktop"
DESKTOP_TARGET="$USER_HOME/Desktop/teamMedia.desktop"

# 检查并移动 HiMedia_ 文件夹到主目录
if [ -d "$SOURCE_DIR" ]; then
    mv "$SOURCE_DIR" "$TARGET_DIR"
else
    echo "Source directory $SOURCE_DIR does not exist!"
    exit 1
fi

# 复制 teamMedia.desktop 到自动启动目录
    cp "$DESKTOP_FILE" "$AUTOSTART_FILE"

# 将 teamMedia.desktop 移动到桌面
mv "$DESKTOP_FILE" "$DESKTOP_TARGET"

# 设置 teamMedia.desktop 文件的执行权限
chmod +x "$DESKTOP_TARGET"
chmod +x "$AUTOSTART_FILE"

echo "install end"
